# ClipPlaceholderAPIManager
Date: 2018-12-06

com.massivecraft.factions.util

## Class ClipPlaceholderAPIManager

- java.lang.Object
- - me.clip.placeholderapi.PlaceholderHook
  - - me.clip.placeholderapi.expansion.PlaceholderExpansion
    - - com.massivecraft.factions.util.ClipPlaceholderAPIManager

All Implemented Interfaces:
  me.clip.placeholderapi.expansion.Relational

    public class ClipPlaceholderAPIManager
    extends me.clip.placeholderapi.expansion.PlaceholderExpansion
    implements me.clip.placeholderapi.expansion.Relational

### Constructor Summary

Constructors
Constructor and Description
`ClipPlaceholderAPIManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor()`
`java.lang.String` `getIdentifier()`
`java.lang.String` `getPlugin()`
`java.lang.String` `getVersion()`
`java.lang.String` `onPlaceholderRequest(org.bukkit.entity.Player p1, org.bukkit.entity.Player p2, java.lang.String placeholder)`
`java.lang.String` `onPlaceholderRequest(org.bukkit.entity.Player player, java.lang.String placeholder)`

### Methods inherited from class me.clip.placeholderapi.expansion.PlaceholderExpansion

`canRegister, configurationContains, get, getConfigSection, getConfigSection, getDescription, getDouble, getInt, getLink, getLong, getPlaceholderAPI, getPlaceholders, getString, getStringList, isRegistered, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClipPlaceholderAPIManager

    public ClipPlaceholderAPIManager()

### Method Detail

#### getIdentifier

    public java.lang.String getIdentifier()

Specified by:
  `getIdentifier` in class `me.clip.placeholderapi.expansion.PlaceholderExpansion`

#### getAuthor

    public java.lang.String getAuthor()

Specified by:
  `getAuthor` in class `me.clip.placeholderapi.expansion.PlaceholderExpansion`

#### getPlugin

    public java.lang.String getPlugin()

Specified by:
  `getPlugin` in class `me.clip.placeholderapi.expansion.PlaceholderExpansion`

#### getVersion

    public java.lang.String getVersion()

Specified by:
  `getVersion` in class `me.clip.placeholderapi.expansion.PlaceholderExpansion`

#### onPlaceholderRequest

    public java.lang.String onPlaceholderRequest(org.bukkit.entity.Player p1,
                                                 org.bukkit.entity.Player p2,
                                                 java.lang.String placeholder)

Specified by:
  `onPlaceholderRequest` in interface `me.clip.placeholderapi.expansion.Relational`

#### onPlaceholderRequest

    public java.lang.String onPlaceholderRequest(org.bukkit.entity.Player player,
                                                 java.lang.String placeholder)

Specified by:
  `onPlaceholderRequest` in class `me.clip.placeholderapi.PlaceholderHook`